extractr docs
DICE

Filtered event list

GET
/dice/list_events

A filtered, sorted slice of the catalogue — by location, category, date range and sort order.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

lat?|
Range-90 <= value <= 90
lng?|
Range-180 <= value <= 180
category?string

Value in

  • "music"
  • "nightlife"
  • "comedy"
  • "arts"
  • "festivals"
  • "film"
sorted_by?string
Default"date"

Value in

  • "date"
  • "popularity"
  • "distance"
from_date?string
Formatdate
to_date?string
Formatdate
limit?integer
Range1 <= value <= 50
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/dice/list_events"
{  "count": 0,  "category": "string",  "sorted_by": "string",  "events": [    {      "id": "6a537c5e3bebf0000107926c",      "name": "Percolate presents Overmono",      "status": "on-sale",      "url": "https://dice.fm/event/6a537c5e3bebf0000107926c",      "images": {        "square": "https://dice-media.imgix.net/a1b2c3.jpg",        "landscape": "string"      },      "venue": {        "id": 12903,        "name": "Village Underground",        "address": "54 Holywell Lane",        "city": "London",        "country_code": "GB",        "latitude": 51.5266,        "longitude": -0.078      },      "date": {        "start": "2026-09-12T20:00:00.000Z",        "end": "2026-09-13T03:00:00.000Z",        "timezone": "Europe/London",        "on_sale": "2026-07-01T09:00:00.000Z"      },      "price": {        "amount": 2500,        "currency": "GBP",        "amount_from": 1500,        "display": "£25.00"      },      "lineup": [        "Overmono",        "Anz"      ],      "tag": "techno"    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}